import request from '@/utils/request'
import { AESencrypt } from '@/utils/crypto'

export function loginByUsername(username, password) {
  const data = JSON.stringify({
    username: AESencrypt(username),
    password: AESencrypt(password)
  })
  return request({
    data,
    url: '/login',
    encrypt: false
  })
}

export function logout() {
  return request({
    url: '/logout'
  })
}

export function getUserInfo(token) {
  return request({
    url: '/user/info',
    _method: 'get',
    params: { token }
  })
}
