export default {
  methods: {
    resize() {
      if (this.$refs.tableSection) {
        this.handleResize()
      } else {
        this.$nextTick(() => {
          this.handleResize(84, true)
        })
      }
    },
    handleResize(adjust, flag) {
      if (!this.config.height || !this.config.maxHeight) {
        const h = document.body.offsetHeight - this.$refs.tableSection.offsetTop - (flag ? 100 : 80) - (adjust || 0)
        this.maxHeight = h >= 250 ? h : 250
      }
      if (this.$refs.tableSection.clientWidth >= 635) {
        this.layout = 'total, sizes, prev, pager, next, jumper'
      } else if (this.$refs.tableSection.clientWidth < 635 && this.$refs.tableSection.clientWidth > 515) {
        this.layout = 'total, sizes, prev, pager, next'
      } else if (this.$refs.tableSection.clientWidth <= 515 && this.$refs.tableSection.clientWidth > 395) {
        this.layout = 'total, prev, pager, next'
      } else if (this.$refs.tableSection.clientWidth <= 395 && this.$refs.tableSection.clientWidth > 330) {
        this.layout = 'prev, pager, next'
      } else {
        this.layout = 'pager'
      }
    }
  },
  data() {
    return {
      maxHeight: 500
    }
  },
  created() {
    this.resize()
  },
  beforeMount() {
    window.addEventListener('resize', this.resize)
  },
  destroyed() {
    window.removeEventListener('resize', this.resize)
  }
}
