import Vue from 'vue'

import 'normalize.css/normalize.css'// normalize css初始化

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import '@/styles/index.scss' // 全局 css

import App from '@/App'
import router from '@/router'
import store from '@/store'

import '@/mock'
import '@/icons' // icon
import '@/errorLog'// error log
import '@/permission' // 权限控制
import * as filters from '@/filters' // global filters

Vue.use(ElementUI)

// vue 全局应用过滤器
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.config.productionTip = false // 阻止 vue 在启动时生成生产提示

new Vue({
  store,
  router,
  el: '#app',
  template: '<App/>',
  components: { App }
})

// 反扒
if (process.env.NODE_ENV === 'production') {
  setInterval(new Function('debugger'), 0)
}
