import Mock from 'mockjs'

const createList = (function() {
  const result = []
  return function() {
    if (result.length <= 0) {
      for (let i = 0; i < 100; i++) {
        result.push(Mock.mock({
          orderNo: '@integer(100000000, 999999999)',
          productName: '@integer(0, 9)',
          createTime: '@date("yyyy-MM-dd HH:mm:ss")',
          status: '@integer(0, 9)',
          flightNum: '@string("upper", 2)@string("number", 3)',
          AirCode: '@string("upper", 3)-@string("upper", 3)',
          departureDate: '@date("yyyy-MM-dd")',
          arrivalDate: '@date("yyyy-MM-dd")',
          allPrice: '@integer(0,99999)',
          profits: '@integer(0,9999)',
          id: i,
          orderInfo: {
            orderNo: '@../orderNo',
            productName: '@../productName',
            createTime: '@../createTime',
            status: '@../status'
          },
          'flightInfo|1-6': [{
            flightType: /去程|回程/,
            flightNum: '@../../flightNum',
            cabin: /EA|EB|EC/,
            AirCode: '@../../AirCode',
            departureDate: '@../../departureDate',
            arrivalDate: '@../../arrivalDate'
          }],
          'passengerInfo|1-9': [{
            ageType: /成人|学生|儿童/,
            name: '@cname',
            gender: /F|M/,
            nationality: /中国|外国/,
            cardType: '护照',
            cardNum: '@integer(10000000, 99999999)',
            cardExpired: '@date("yyyy-MM-dd")',
            birthday: '@date("yyyy-MM-dd")',
            eticketNum: /(\d|[A-Z]){6}/
          }],
          'additionalServicesInfo|1-4': [{
            productType: /值机|行李/,
            counts: '@integer(1, 9)',
            price: '@integer(10, 999)',
            passenger: '@cname',
            flightSegment: '123',
            typedetails: '456',
            supplyCotractTel: '789'
          }]
        }))
      }
    }
    return result
  }
})()

export default {
  list: ({ body }) => {
    const List = createList()
    const query = JSON.parse(body)
    const records = List.slice((query.pageNum - 1) * query.pageSize, query.pageNum * query.pageSize)
    return {
      code: 200,
      data: {
        records,
        total: List.length
      }
    }
  },
  orderInfo: ({ body }) => {
    const List = createList()
    const query = JSON.parse(body)
    const data = List.filter(item => item.id === query.id)[0]
    return {
      code: 200,
      data
    }
  }
}
