import Mock from 'mockjs'
import { AESdecrypt } from '@/utils/crypto'
import { cookie } from '@/utils/cookie'

const createList = (function() {
  const result = []
  return function() {
    if (result.length <= 0) {
      const column = {
        name: '@first',
        cname: '@cname',
        address: '@county(true)',
        date: '@date("yyyy-MM-dd")'
      }

      for (let i = 0; i < 100; i++) {
        result.push(Object.assign(Mock.mock(column), { id: i }))
      }
    }
    return result
  }
})()

export default {
  list({ body }) {
    const List = createList()
    let query = JSON.parse(body)
    if (query.object) {
      query = JSON.parse(AESdecrypt(query.object, cookie.get_aesKey()))
    }
    const records = List.slice((query.pageNum - 1) * query.pageSize, query.pageNum * query.pageSize)
    return {
      code: 200,
      data: {
        records,
        total: List.length
      }
    }
  },
  listAll() {
    return {
      code: 200,
      data: createList()
    }
  },
  info({ body }) {
    const List = createList()
    let query = JSON.parse(body)
    if (query.object) {
      query = JSON.parse(AESdecrypt(query.object, cookie.get_aesKey()))
    }
    const data = List.filter((item) => item.id === query.id)[0]
    return {
      code: 200,
      data
    }
  },
  save({ body }) {
    let query = JSON.parse(body)
    if (query.object) {
      query = JSON.parse(AESdecrypt(query.object, cookie.get_aesKey()))
    }
    return {
      code: 200,
      data: query
    }
  }
}
