import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import user from './modules/user'
import auth from './modules/auth'
import errorLog from './modules/errorLog'
import tagsView from './modules/tagsView'
import dictionary from './modules/dictionary'
import permission from './modules/permission'
import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    user,
    auth,
    errorLog,
    tagsView,
    dictionary,
    permission
  },
  getters
})

export default store
