import { cookie } from '@/utils/cookie'
import { Authorization } from '@/api/auth'

const auth = {
  state: {
    token: cookie.get_token(),
    randomKey: cookie.get_randomKey()
  },
  mutations: {
    SET_TOKEN: (state, token) => {
      state.token = token
    },
    SET_RANDOMKEY: (state, randomKey) => {
      state.token = randomKey
    }
  },
  actions: {
    auth({ commit }) {
      return new Promise((resolve, reject) => {
        const xToken = cookie.get_xToken()
        const aesKey = cookie.get_aesKey()
        if (!xToken || !aesKey) {
          reject('用户未登录')
        }
        Authorization(JSON.stringify({ userName: xToken.split(':')[0], password: aesKey })).then(res => {
          if (res.data.code === 200) {
            cookie.set_token(res.data.data.token)
            commit('SET_TOKEN', res.data.data.token)
            cookie.set_randomKey(res.data.data.randomKey)
            commit('SET_RANDOMKEY', res.data.data.randomKey)
          } else {
            reject(res)
          }
          resolve(res)
        }, err => {
          reject(err)
        })
      })
    }
  }
}

export default auth
