import { constantRouterMap, asyncRouterMap } from '@/router'

function admit(route, roleList) {
  if ((route.ignoreRule === undefined || !route.ignoreRule) && route.name && route.meta) {
    return roleList.indexOf(route.name) >= 0
  } else {
    return true
  }
}

function filterAsyncRouter(roleList, routerMap) {
  routerMap = routerMap || asyncRouterMap
  return routerMap.filter(route => {
    if (route.children && route.children.length) {
      if (admit(route, roleList)) {
        return true
      } else {
        route.children = filterAsyncRouter(roleList, route.children)
        return !!route.children.length
      }
    } else {
      return admit(route, roleList)
    }
  })
}

const permission = {
  state: {
    routers: constantRouterMap,
    addRouters: [],
    depRoleList: ['system', 'yaWei', 'user'],
    RouterWhiteList: ['/login', '/icon/index']
  },
  mutations: {
    SET_ROUTERS: (state, routers) => {
      state.addRouters = routers
      state.routers = constantRouterMap.concat(routers)
    }
  },
  actions: {
    setRouters({ commit }, roleList) {
      return new Promise(resolve => {
        commit('SET_ROUTERS', filterAsyncRouter(roleList))
        resolve()
      })
    }
  }
}

export default permission
