import Cookies from 'js-cookie'
import { AESencrypt, AESdecrypt } from '@/utils/crypto'

const result = {}
const cookieKey = [
  { key: 'xToken', value: AESencrypt('xToken') },
  { key: 'aesKey', value: AESencrypt('aesKey') },
  { key: 'randomKey', value: AESencrypt('randomKey') },
  { key: 'token', value: AESencrypt('token') },
  { key: 'roleList', value: AESencrypt('roleList') },
  { key: 'userInfo', value: AESencrypt('userInfo') },
  { key: 'sidebarStatus', value: AESencrypt('sidebarStatus') }
]
cookieKey.forEach(item => {
  result['get_' + item.key] = function() {
    return Cookies.get(item.value) ? JSON.parse(AESdecrypt(Cookies.get(item.value))) : ''
  }
  result['remove_' + item.key] = function() {
    return Cookies.remove(item.value)
  }
  result['set_' + item.key] = function(cookie, cfg) {
    return Cookies.set(item.value, AESencrypt(cookie instanceof String ? cookie : JSON.stringify(cookie)), Object({ expires: 0.5 }, cfg))
  }
})

export const cookie = result
export function removeAll() {
  cookieKey.forEach(item => {
    Cookies.remove(item.value)
  })
}
