// const CryptoJS = require('crypto-js')
const aes = require('crypto-js/aes')
const md5 = require('crypto-js/md5')
const base64 = require('crypto-js/enc-base64')
const utf8 = require('crypto-js/enc-utf8')
const ecb = require('crypto-js/mode-ecb')
const pkcs7 = require('crypto-js/pad-pkcs7')

export function AESencrypt(string, secretKey) {
  // const key = CryptoJS.enc.Utf8.parse(secretKey || process.env.CRYPTO_KEY)
  // const srcs = CryptoJS.enc.Utf8.parse(string)
  // const encrypted = CryptoJS.AES.encrypt(srcs, key, { mode: CryptoJS.mode.ECB, padding: CryptoJS.pad.Pkcs7 })
  // return encrypted.toString()
  const key = utf8.parse(secretKey || process.env.CRYPTO_KEY)
  const srcs = utf8.parse(string)
  const encrypted = aes.encrypt(srcs, key, { mode: ecb, padding: pkcs7 })
  return encrypted.toString()
}

export function AESdecrypt(string, secretKey) {
  // const key = CryptoJS.enc.Utf8.parse(secretKey || process.env.CRYPTO_KEY)
  // const decrypt = CryptoJS.AES.decrypt(string, key, { mode: CryptoJS.mode.ECB, padding: CryptoJS.pad.Pkcs7 })
  // return CryptoJS.enc.Utf8.stringify(decrypt).toString()
  const key = utf8.parse(secretKey || process.env.CRYPTO_KEY)
  const decrypt = aes.decrypt(string, key, { mode: ecb, padding: pkcs7 })
  return utf8.stringify(decrypt).toString()
}

export function Base64encrypt(string) {
  // const srcs = CryptoJS.enc.Utf8.parse(string)
  // return CryptoJS.enc.Base64.stringify(srcs)
  const srcs = utf8.parse(string)
  return base64.stringify(srcs)
}

export function Base64decrypt(string) {
  // return CryptoJS.enc.Base64.parse(string).toString(CryptoJS.enc.Utf8)
  return base64.parse(string).toString(utf8)
}

export function MD5(string) {
  // return CryptoJS.MD5(string).toString()
  return md5(string).toString().toString()
}
